mia-2dimageregistration
Prev | Registration, Comparison, and Transformation of 2D images | Next

### mia-2dimageregistration

#### Sysnopis:

`mia-2dimageregistration` {-i `io`} {-r `io`} {-t `io`} [ `options` ...] [ `Plugin type: 2dimage/fullcost` ...]

#### Description:

This program runs registration of two images optimizing a transformation of the given transformation model by optimizing certain cost measures that are given as free parameters.

#### Options:

#### File-IO

-i, --in-image=(input, required); io

  test image to be registered. For supported file types see Plugin type: 2dimage/io

-r, --ref-image=(input, required); io

  reference image to be registered to. For supported file types see Plugin type: 2dimage/io

-o, --out-image=(output); io

  registered output image. For supported file types see Plugin type: 2dimage/io

-t, --transformation=(output, required); io

  output transformation comprising the registration. For supported file types see Plugin type: 2dtransform/io

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Parameters

-l, --levels=3; ulong

  multi-resolution levels

-O, --optimizer=gsl:opt=gd,step=0.1; factory

  Optimizer used for minimization. For supported plug-ins see Plugin type: minimizer/singlecost

-R, --refiner=

  optimizer used for refinement after the main optimizer was called. For supported plug-ins see Plugin type: minimizer/singlecost

-f, --transForm=spline; factory

  transformation type. For supported plug-ins see Plugin type: 2dimage/transform

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Register the image 'moving.png' to the image 'reference.png' by using a rigid transformation model and ssd as cost function. Write the result to output.png

    mia-2dimageregistration   -i moving.png -r reference.png -o output.png -f rigid image:cost=ssd

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dforce | Home | mia-2dmulti-force